Package weka.core.pmml.jaxbbindings

# Class MatCell

java.lang.Object
weka.core.pmml.jaxbbindings.MatCell

public class MatCell extends Object

Java class for MatCell element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="MatCell">
       <complexType>
         <simpleContent>
           <extension base="<http://www.w3.org/2001/XMLSchema>string">
             <attribute name="col" use="required" type="{http://www.dmg.org/PMML-4_1}INT-NUMBER" />
             <attribute name="row" use="required" type="{http://www.dmg.org/PMML-4_1}INT-NUMBER" />
           </extension>
         </simpleContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MatCell()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigInteger`
  `getCol()`
  Gets the value of the col property.
  `BigInteger`
  `getRow()`
  Gets the value of the row property.
  `String`
  `getValue()`
  Gets the value of the value property.
  `void`
  `setCol(BigInteger value)`
  Sets the value of the col property.
  `void`
  `setRow(BigInteger value)`
  Sets the value of the row property.
  `void`
  `setValue(String value)`
  Sets the value of the value property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MatCell

    public MatCell()

- ## Method Details

  - ### getValue

    public String getValue()
    Gets the value of the value property.
    Returns:
      possible object is `String`

  - ### setValue

    public void setValue(String value)
    Sets the value of the value property.
    Parameters:
      `value` - allowed object is `String`

  - ### getCol

    public BigInteger getCol()
    Gets the value of the col property.
    Returns:
      possible object is `BigInteger`

  - ### setCol

    public void setCol(BigInteger value)
    Sets the value of the col property.
    Parameters:
      `value` - allowed object is `BigInteger`

  - ### getRow

    public BigInteger getRow()
    Gets the value of the row property.
    Returns:
      possible object is `BigInteger`

  - ### setRow

    public void setRow(BigInteger value)
    Sets the value of the row property.
    Parameters:
      `value` - allowed object is `BigInteger`